import type { AccessControl, AccessTarget } from '@axium/core';
export declare function updateACL(itemType: string, itemId: string, target: AccessTarget, permissions: Partial<Record<string, any>>): Promise<AccessControl>;
export declare function getACL(itemType: string, itemId: string): Promise<AccessControl[]>;
export declare function addToACL(itemType: string, itemId: string, target: AccessTarget): Promise<AccessControl>;
export declare function removeFromACL(itemType: string, itemId: string, target: AccessTarget): Promise<AccessControl>;
